| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Attributes
Tp::FieldSpec Struct Reference
Structure types

`#include <TelepathyQt/Types>`

List of all members.

## Public Attributes

- QString name
- QStringList parameters
- uint flags
- uint max

## Detailed Description

Structure type generated from the specification.

A struct describing a vCard field, with parameters, that may be passed to SetContactInfo on this Connection.

## Member Data Documentation

QString Tp::FieldSpec::name

A vCard field name, such as 'tel'.

QStringList Tp::FieldSpec::parameters

The set of vCard type parameters which may be set on this field. If this list is empty and the Contact_Info_Field_Flag_Parameters_Exact flag is not set, any vCard type parameters may be used.

uint Tp::FieldSpec::flags

Flags describing the behaviour of this field.

uint Tp::FieldSpec::max

Maximum number of instances of this field which may be set. MAXUINT32 is used to indicate that there is no limit.